org.apache.cayenne.conn

## Class DriverDataSource

- java.lang.Object
- - org.apache.cayenne.conn.DriverDataSource

- All Implemented Interfaces:
    Wrapper, CommonDataSource, DataSource

      public class DriverDataSource
      extends Object
      implements DataSource

  A non-pooling DataSource implementation wrapping a JDBC driver.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `connectionUrl`
    `protected Driver` | `driver`
    `protected JdbcEventLogger` | `logger`
    `protected String` | `password`
    `protected String` | `userName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriverDataSource(Driver driver, String connectionUrl, String userName, String password)` Creates a new DriverDataSource wrapping a given Driver.
    `DriverDataSource(String driverClassName, String connectionUrl)` Creates a new DriverDataSource.
    `DriverDataSource(String driverClassName, String connectionUrl, String userName, String password)` Creates a new DriverDataSource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `getConnection()` Returns a new database connection, using preconfigured data to locate the database and obtain a connection.
    `Connection` | `getConnection(String userName, String password)` Returns a new database connection using provided credentials to login to the database.
    `String` | `getConnectionUrl()`
    `String` | `getDriverClassName()`
    `JdbcEventLogger` | `getLogger()`
    `int` | `getLoginTimeout()`
    `PrintWriter` | `getLogWriter()`
    `Logger` | `getParentLogger()`
    `String` | `getPassword()`
    `String` | `getUserName()`
    `boolean` | `isWrapperFor(Class<?> iface)`
    `void` | `setConnectionUrl(String connectionUrl)`
    `void` | `setDriverClassName(String driverClassName)`
    `void` | `setLogger(JdbcEventLogger delegate)`
    `void` | `setLoginTimeout(int seconds)`
    `void` | `setLogWriter(PrintWriter out)`
    `void` | `setPassword(String password)`
    `void` | `setUserName(String userName)`
    `<T> T` | `unwrap(Class<T> iface)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### driver

          protected Driver driver

    - #### connectionUrl

          protected String connectionUrl

    - #### userName

          protected String userName

    - #### password

          protected String password

    - #### logger

          protected JdbcEventLogger logger

  - ### Constructor Detail

    - #### DriverDataSource

          public DriverDataSource(String driverClassName,
                                  String connectionUrl)
                           throws SQLException

      Creates a new DriverDataSource. If "driverClassName" is null, DriverDataSource will consult DriverManager for a registered driver for the given URL. So when specifying null, a user must take care of registering the driver. "connectionUrl" on the other hand must NOT be null.
      Throws:
        `SQLException`

    - #### DriverDataSource

          public DriverDataSource(String driverClassName,
                                  String connectionUrl,
                                  String userName,
                                  String password)
                           throws SQLException

      Creates a new DriverDataSource. If "driverClassName" is null, DriverDataSource will consult DriverManager for a registered driver for the given URL. So when specifying null, a user must take care of registering the driver. "connectionUrl" on the other hand must NOT be null.
      Throws:
        `SQLException`
      Since:
        3.0

    - #### DriverDataSource

          public DriverDataSource(Driver driver,
                                  String connectionUrl,
                                  String userName,
                                  String password)

      Creates a new DriverDataSource wrapping a given Driver. If "driver" is null, DriverDataSource will consult DriverManager for a registered driver for the given URL. So when specifying null, a user must take care of registering the driver. "connectionUrl" on the other hand must NOT be null.
      Since:
        1.1

  - ### Method Detail

    - #### getConnection

          public Connection getConnection()
                                   throws SQLException

      Returns a new database connection, using preconfigured data to locate the database and obtain a connection.
      Specified by:
        `getConnection` in interface `DataSource`
      Throws:
        `SQLException`

    - #### getConnection

          public Connection getConnection(String userName,
                                          String password)
                                   throws SQLException

      Returns a new database connection using provided credentials to login to the database.
      Specified by:
        `getConnection` in interface `DataSource`
      Throws:
        `SQLException`

    - #### getLoginTimeout

          public int getLoginTimeout()
                              throws SQLException

      Specified by:
        `getLoginTimeout` in interface `CommonDataSource`
      Throws:
        `SQLException`

    - #### setLoginTimeout

          public void setLoginTimeout(int seconds)
                               throws SQLException

      Specified by:
        `setLoginTimeout` in interface `CommonDataSource`
      Throws:
        `SQLException`

    - #### getLogWriter

          public PrintWriter getLogWriter()
                                   throws SQLException

      Specified by:
        `getLogWriter` in interface `CommonDataSource`
      Throws:
        `SQLException`

    - #### setLogWriter

          public void setLogWriter(PrintWriter out)
                            throws SQLException

      Specified by:
        `setLogWriter` in interface `CommonDataSource`
      Throws:
        `SQLException`

    - #### getLogger

          public JdbcEventLogger getLogger()

    - #### setLogger

          public void setLogger(JdbcEventLogger delegate)

    - #### getConnectionUrl

          public String getConnectionUrl()

      Since:
        3.0

    - #### setConnectionUrl

          public void setConnectionUrl(String connectionUrl)

      Since:
        3.0

    - #### getPassword

          public String getPassword()

      Since:
        3.0

    - #### setPassword

          public void setPassword(String password)

      Since:
        3.0

    - #### getUserName

          public String getUserName()

      Since:
        3.0

    - #### setUserName

          public void setUserName(String userName)

      Since:
        3.0

    - #### getDriverClassName

          public String getDriverClassName()

    - #### setDriverClassName

          public void setDriverClassName(String driverClassName)
                                  throws SQLException

      Throws:
        `SQLException`

    - #### isWrapperFor

          public boolean isWrapperFor(Class<?> iface)
                               throws SQLException

      Specified by:
        `isWrapperFor` in interface `Wrapper`
      Throws:
        `SQLException`
      Since:
        3.0

    - #### unwrap

          public <T> T unwrap(Class<T> iface)
                       throws SQLException

      Specified by:
        `unwrap` in interface `Wrapper`
      Throws:
        `SQLException`
      Since:
        3.0

    - #### getParentLogger

          public Logger getParentLogger()
                                 throws SQLFeatureNotSupportedException

      Specified by:
        `getParentLogger` in interface `CommonDataSource`
      Throws:
        `SQLFeatureNotSupportedException`
      Since:
        3.1 JDBC 4.1 compatibility under Java 1.5

Copyright © 2001–2018 Apache Cayenne. All rights reserved.